JMenuItem
Date: 2019-10-22

org.jmol.awtjs.swing

## Class JMenuItem

- java.lang.Object
- - org.jmol.awtjs.swing.Component
  - - org.jmol.awtjs.swing.Container
    - - org.jmol.awtjs.swing.JComponent
      - - org.jmol.awtjs.swing.AbstractButton
        - - org.jmol.awtjs.swing.JMenuItem

- All Implemented Interfaces:
    SC
  Direct Known Subclasses:
    JCheckBoxMenuItem, JMenu, JRadioButtonMenuItem

      public class JMenuItem
      extends AbstractButton

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `btnType`
    `static int` | `TYPE_BUTTON`
    `static int` | `TYPE_CHECKBOX`
    `static int` | `TYPE_MENU`
    `static int` | `TYPE_RADIO`
    `static int` | `TYPE_SEPARATOR`

    - ### Fields inherited from class org.jmol.awtjs.swing.AbstractButton

      `applet, htmlName, itemListener, selected`

    - ### Fields inherited from class org.jmol.awtjs.swing.JComponent

      `actionCommand, actionListener, autoScrolls`

    - ### Fields inherited from class org.jmol.awtjs.swing.Container

      `list`

    - ### Fields inherited from class org.jmol.awtjs.swing.Component

      `enabled, height, id, minHeight, minWidth, mouseListener, name, parent, renderHeight, renderWidth, text, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMenuItem(java.lang.String text)`
    `JMenuItem(java.lang.String type, int i)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getHtmlDisabled()`
    `private java.lang.String` | `htmlLabel()`
    `java.lang.String` | `toHTML()`

    - ### Methods inherited from class org.jmol.awtjs.swing.AbstractButton

      `add, addItemListener, getIcon, getMenuHTML, getPopupMenu, getTopPopupMenu, htmlMenuOpener, init, insert, isSelected, setIcon, setSelected`

    - ### Methods inherited from class org.jmol.awtjs.swing.JComponent

      `addActionListener, getActionCommand, setActionCommand, setAutoscrolls`

    - ### Methods inherited from class org.jmol.awtjs.swing.Container

      `add, addComponent, getComponent, getComponentCount, getComponents, getSubcomponentHeight, getSubcomponentWidth, insertComponent, remove, removeAll`

    - ### Methods inherited from class org.jmol.awtjs.swing.Component

      `addMouseListener, getCSSstyle, getHeight, getName, getParent, getText, getWidth, isEnabled, isVisible, newID, repaint, setBackground, setEnabled, setMinimumSize, setName, setParent, setPreferredSize, setText, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jmol.api.SC

      `addActionListener, addMouseListener, getActionCommand, getComponent, getComponentCount, getComponents, getName, getParent, getText, isEnabled, remove, removeAll, setActionCommand, setAutoscrolls, setEnabled, setName, setText`

- - ### Field Detail

    - #### btnType

          public final int btnType

    - #### TYPE_SEPARATOR

          public static final int TYPE_SEPARATOR

      See Also:
        Constant Field Values

    - #### TYPE_BUTTON

          public static final int TYPE_BUTTON

      See Also:
        Constant Field Values

    - #### TYPE_CHECKBOX

          public static final int TYPE_CHECKBOX

      See Also:
        Constant Field Values

    - #### TYPE_RADIO

          public static final int TYPE_RADIO

      See Also:
        Constant Field Values

    - #### TYPE_MENU

          public static final int TYPE_MENU

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JMenuItem

          public JMenuItem(java.lang.String text)

    - #### JMenuItem

          public JMenuItem(java.lang.String type,
                           int i)

  - ### Method Detail

    - #### toHTML

          public java.lang.String toHTML()

      Specified by:
        `toHTML` in class `Component`

    - #### getHtmlDisabled

          protected java.lang.String getHtmlDisabled()

      Overrides:
        `getHtmlDisabled` in class `AbstractButton`

    - #### htmlLabel

          private java.lang.String htmlLabel()